/**
Action Script library.XMLSocket class definition
Copyright (C) 2005

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**/
#ifndef _AS_XML_SOCKET_HH
#define _AS_XML_SOCKET_HH
#include "as_object.hh"

class ASXmlSocket : public ASObject{
public:
	ASXmlSocket(Script *s, Graphics *g);
	~ASXmlSocket();
	Function *getFunctionMember(wstring memberName);
	void 	callFunction(Function *f);
	void 	init();
	ASInterface*getNewInstance(Script *s,Graphics *g) { return new ASXmlSocket(s,g); }

	void	close();
	void	connect();
	void	send();
	void	onClose();
	void	onConnect();
	void	onData();
	void	onXML();
};
#endif
